Skip to main content

Hyperliquid Whale Tracking

Track large traders on Hyperliquid — positions, PnL, and wallet analysis.

GET /v1/hyperliquid/whale-positions

Top whale positions by notional size.
limit
integer
default:"50"
Max positions to return
curl "https://api.crypton.dev/v1/hyperliquid/whale-positions?limit=20"

GET /v1/hyperliquid/whale-alerts

Recent whale position changes — new opens, closes, and size changes.
curl "https://api.crypton.dev/v1/hyperliquid/whale-alerts"

GET /v1/hyperliquid/positions-by-coin

Whale positions filtered by coin.
coin
string
required
Coin (e.g., BTC, ETH)
limit
integer
default:"50"
Max positions
curl "https://api.crypton.dev/v1/hyperliquid/positions-by-coin?coin=BTC&limit=10"

GET /v1/hyperliquid/wallet

Positions for a specific wallet address.
wallet
string
required
Wallet address (0x…)
limit
integer
default:"50"
Max positions
curl "https://api.crypton.dev/v1/hyperliquid/wallet?wallet=0xabc...&limit=10"

GET /v1/hyperliquid/position-distribution

Distribution of position sizes across all tracked whales.
curl "https://api.crypton.dev/v1/hyperliquid/position-distribution"

GET /v1/hyperliquid/pnl-distribution

PnL distribution across tracked whale accounts.
curl "https://api.crypton.dev/v1/hyperliquid/pnl-distribution"